beta2uht <-
function(b0, b1=NULL, b2=NULL)
{
    if (is.null(b1) && is.null(b2)) {
        b1 <- b0[2]
        b2 <- b0[3]
        b0 <- b0[1]
    }
    if (b2 == 0)
        b2 <- .Machine$double.eps
    u <- -b1 / (2 * b2)
    t <- sqrt(-1 / (2 * b2))
    h <- exp(b0 - b1^2 / (4 * b2))
    c(u, h, t)
}
