uht2beta <-
function(u, h=NULL, t=NULL)
{
    if (is.null(h) && is.null(t)) {
        h <- u[2]
        t <- u[3]
        u <- u[1]
    }
    if (t <= 0)
        stop("'t' must be > 0")
    if (h <= 0)
        stop("'h' must be > 0")
    b2 <- -1 / (2 * t^2)
    b1 <- -2 * u * b2
    b0 <- log(h) + b1^2 / (4 * b2)
    c(b0, b1, b2)
}
